.DEFAULT_GOAL := all

build: clean
	bee pack

run:
	bee run -gendoc=true -downdoc=true

debug:
	bee run -downdebug -gendebug

clean:
	rm -rf oc-auth oc-auth.tar.gz

docker:
	DOCKER_BUILDKIT=1 docker build -t oc/oc-auth:0.0.1 -f Dockerfile .
	docker tag oc/oc-auth:0.0.1 oc/oc-auth:latest

publish-kind:
	kind load docker-image oc/oc-auth:0.0.1 --name opencloud

publish-registry:
	@echo "TODO"

all: docker publish-kind publish-registry

.PHONY: build run clean docker publish-kind publish-registry